<template>

  <div class="agent" v-if="this.id!=null" style="text-align: center">
    <h1> {{firstName}} {{lastName}} </h1>

    <ProfilePic :circle="true" height="220px" width="220px" :img="profile_image"> </ProfilePic>
    <p><b>Telephone: </b> {{telephone}} </p>
    <p><b>Email: </b> {{email}} </p>
    <HouseList v-if="listings != null" :listings="listings"/>
  </div>
</template>

<script>
    import ProfilePic from '../components/ProfilePic'
    import HouseList from '../components/listing/HouseList'
    import Data from '../global/variable.js'
    export default {
        name: 'Agent',
        components: {
            ProfilePic,
            HouseList           
        },
        data() {
            return {                
                id: null,
                firstName: null,
                lastName: null, 
                telephone: null, 
                email: null,
                profile_image: null,
                listings: null,
            }
            },
            mounted() { 
                // get the id from path variable           
                this.id = this.$route.params.id
                // get the agent with the given id
                const agent = Data.getAgent(this.id)          
                this.firstName = agent.first_name
                this.lastName = agent.last_name
                this.telephone = agent.telephone
                this.email = agent.email        
                this.profile_image = agent.profile_image
                // create list of all listings that are listed by the agent with the given id
                const listings = []
                agent.listings.forEach((listing, lIndex) => {
                    listings.push({agentId: Number(this.id), id: lIndex, ...listing})
                })
                this.listings = listings
            },            
        methods: {
        }   
    }

</script>